# Form implementation generated from reading ui file 'src/eric7/Preferences/ConfigurationPages/TasksPage.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_TasksPage(object):
    def setupUi(self, TasksPage):
        TasksPage.setObjectName("TasksPage")
        TasksPage.resize(413, 618)
        self.verticalLayout = QtWidgets.QVBoxLayout(TasksPage)
        self.verticalLayout.setObjectName("verticalLayout")
        self.headerLabel = QtWidgets.QLabel(parent=TasksPage)
        self.headerLabel.setObjectName("headerLabel")
        self.verticalLayout.addWidget(self.headerLabel)
        self.line11_2_2_2 = QtWidgets.QFrame(parent=TasksPage)
        self.line11_2_2_2.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line11_2_2_2.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line11_2_2_2.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line11_2_2_2.setObjectName("line11_2_2_2")
        self.verticalLayout.addWidget(self.line11_2_2_2)
        self.groupBox = QtWidgets.QGroupBox(parent=TasksPage)
        self.groupBox.setObjectName("groupBox")
        self.gridLayout = QtWidgets.QGridLayout(self.groupBox)
        self.gridLayout.setObjectName("gridLayout")
        self.textLabel5_3 = QtWidgets.QLabel(parent=self.groupBox)
        self.textLabel5_3.setObjectName("textLabel5_3")
        self.gridLayout.addWidget(self.textLabel5_3, 0, 0, 1, 1)
        self.tasksMarkerFixmeEdit = QtWidgets.QLineEdit(parent=self.groupBox)
        self.tasksMarkerFixmeEdit.setText("")
        self.tasksMarkerFixmeEdit.setObjectName("tasksMarkerFixmeEdit")
        self.gridLayout.addWidget(self.tasksMarkerFixmeEdit, 0, 1, 1, 1)
        self.textLabel4_4 = QtWidgets.QLabel(parent=self.groupBox)
        self.textLabel4_4.setObjectName("textLabel4_4")
        self.gridLayout.addWidget(self.textLabel4_4, 1, 0, 1, 1)
        self.tasksMarkerWarningEdit = QtWidgets.QLineEdit(parent=self.groupBox)
        self.tasksMarkerWarningEdit.setObjectName("tasksMarkerWarningEdit")
        self.gridLayout.addWidget(self.tasksMarkerWarningEdit, 1, 1, 1, 1)
        self.textLabel4_3 = QtWidgets.QLabel(parent=self.groupBox)
        self.textLabel4_3.setObjectName("textLabel4_3")
        self.gridLayout.addWidget(self.textLabel4_3, 2, 0, 1, 1)
        self.tasksMarkerTodoEdit = QtWidgets.QLineEdit(parent=self.groupBox)
        self.tasksMarkerTodoEdit.setObjectName("tasksMarkerTodoEdit")
        self.gridLayout.addWidget(self.tasksMarkerTodoEdit, 2, 1, 1, 1)
        self.textLabel4_5 = QtWidgets.QLabel(parent=self.groupBox)
        self.textLabel4_5.setObjectName("textLabel4_5")
        self.gridLayout.addWidget(self.textLabel4_5, 3, 0, 1, 1)
        self.tasksMarkerNoteEdit = QtWidgets.QLineEdit(parent=self.groupBox)
        self.tasksMarkerNoteEdit.setObjectName("tasksMarkerNoteEdit")
        self.gridLayout.addWidget(self.tasksMarkerNoteEdit, 3, 1, 1, 1)
        self.textLabel4_7 = QtWidgets.QLabel(parent=self.groupBox)
        self.textLabel4_7.setObjectName("textLabel4_7")
        self.gridLayout.addWidget(self.textLabel4_7, 4, 0, 1, 1)
        self.tasksMarkerTestEdit = QtWidgets.QLineEdit(parent=self.groupBox)
        self.tasksMarkerTestEdit.setObjectName("tasksMarkerTestEdit")
        self.gridLayout.addWidget(self.tasksMarkerTestEdit, 4, 1, 1, 1)
        self.textLabel4_6 = QtWidgets.QLabel(parent=self.groupBox)
        self.textLabel4_6.setObjectName("textLabel4_6")
        self.gridLayout.addWidget(self.textLabel4_6, 5, 0, 1, 1)
        self.tasksMarkerDocuEdit = QtWidgets.QLineEdit(parent=self.groupBox)
        self.tasksMarkerDocuEdit.setObjectName("tasksMarkerDocuEdit")
        self.gridLayout.addWidget(self.tasksMarkerDocuEdit, 5, 1, 1, 1)
        self.verticalLayout.addWidget(self.groupBox)
        self.groupBox_2 = QtWidgets.QGroupBox(parent=TasksPage)
        self.groupBox_2.setObjectName("groupBox_2")
        self.gridLayout_2 = QtWidgets.QGridLayout(self.groupBox_2)
        self.gridLayout_2.setObjectName("gridLayout_2")
        self.textLabel2_8 = QtWidgets.QLabel(parent=self.groupBox_2)
        self.textLabel2_8.setObjectName("textLabel2_8")
        self.gridLayout_2.addWidget(self.textLabel2_8, 0, 0, 1, 1)
        self.tasksFixmeColourButton = QtWidgets.QPushButton(parent=self.groupBox_2)
        self.tasksFixmeColourButton.setMinimumSize(QtCore.QSize(100, 0))
        self.tasksFixmeColourButton.setText("")
        self.tasksFixmeColourButton.setObjectName("tasksFixmeColourButton")
        self.gridLayout_2.addWidget(self.tasksFixmeColourButton, 0, 1, 1, 1)
        spacerItem = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.gridLayout_2.addItem(spacerItem, 0, 2, 1, 1)
        self.textLabel6_3 = QtWidgets.QLabel(parent=self.groupBox_2)
        self.textLabel6_3.setObjectName("textLabel6_3")
        self.gridLayout_2.addWidget(self.textLabel6_3, 1, 0, 1, 1)
        self.tasksWarningColourButton = QtWidgets.QPushButton(parent=self.groupBox_2)
        self.tasksWarningColourButton.setMinimumSize(QtCore.QSize(100, 0))
        self.tasksWarningColourButton.setText("")
        self.tasksWarningColourButton.setObjectName("tasksWarningColourButton")
        self.gridLayout_2.addWidget(self.tasksWarningColourButton, 1, 1, 1, 1)
        self.textLabel1_3 = QtWidgets.QLabel(parent=self.groupBox_2)
        self.textLabel1_3.setObjectName("textLabel1_3")
        self.gridLayout_2.addWidget(self.textLabel1_3, 2, 0, 1, 1)
        self.tasksTodoColourButton = QtWidgets.QPushButton(parent=self.groupBox_2)
        self.tasksTodoColourButton.setMinimumSize(QtCore.QSize(100, 0))
        self.tasksTodoColourButton.setText("")
        self.tasksTodoColourButton.setObjectName("tasksTodoColourButton")
        self.gridLayout_2.addWidget(self.tasksTodoColourButton, 2, 1, 1, 1)
        self.textLabel3_4 = QtWidgets.QLabel(parent=self.groupBox_2)
        self.textLabel3_4.setObjectName("textLabel3_4")
        self.gridLayout_2.addWidget(self.textLabel3_4, 3, 0, 1, 1)
        self.tasksNoteColourButton = QtWidgets.QPushButton(parent=self.groupBox_2)
        self.tasksNoteColourButton.setMinimumSize(QtCore.QSize(100, 0))
        self.tasksNoteColourButton.setText("")
        self.tasksNoteColourButton.setObjectName("tasksNoteColourButton")
        self.gridLayout_2.addWidget(self.tasksNoteColourButton, 3, 1, 1, 1)
        self.textLabel1_4 = QtWidgets.QLabel(parent=self.groupBox_2)
        self.textLabel1_4.setObjectName("textLabel1_4")
        self.gridLayout_2.addWidget(self.textLabel1_4, 4, 0, 1, 1)
        self.tasksTestColourButton = QtWidgets.QPushButton(parent=self.groupBox_2)
        self.tasksTestColourButton.setMinimumSize(QtCore.QSize(100, 0))
        self.tasksTestColourButton.setText("")
        self.tasksTestColourButton.setObjectName("tasksTestColourButton")
        self.gridLayout_2.addWidget(self.tasksTestColourButton, 4, 1, 1, 1)
        self.textLabel3_5 = QtWidgets.QLabel(parent=self.groupBox_2)
        self.textLabel3_5.setObjectName("textLabel3_5")
        self.gridLayout_2.addWidget(self.textLabel3_5, 5, 0, 1, 1)
        self.tasksDocuColourButton = QtWidgets.QPushButton(parent=self.groupBox_2)
        self.tasksDocuColourButton.setMinimumSize(QtCore.QSize(100, 0))
        self.tasksDocuColourButton.setText("")
        self.tasksDocuColourButton.setObjectName("tasksDocuColourButton")
        self.gridLayout_2.addWidget(self.tasksDocuColourButton, 5, 1, 1, 1)
        self.verticalLayout.addWidget(self.groupBox_2)
        self.groupBox_3 = QtWidgets.QGroupBox(parent=TasksPage)
        self.groupBox_3.setObjectName("groupBox_3")
        self.horizontalLayout = QtWidgets.QHBoxLayout(self.groupBox_3)
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.clearCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_3)
        self.clearCheckBox.setObjectName("clearCheckBox")
        self.horizontalLayout.addWidget(self.clearCheckBox)
        self.verticalLayout.addWidget(self.groupBox_3)
        spacerItem1 = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.verticalLayout.addItem(spacerItem1)

        self.retranslateUi(TasksPage)
        QtCore.QMetaObject.connectSlotsByName(TasksPage)
        TasksPage.setTabOrder(self.tasksMarkerFixmeEdit, self.tasksMarkerWarningEdit)
        TasksPage.setTabOrder(self.tasksMarkerWarningEdit, self.tasksMarkerTodoEdit)
        TasksPage.setTabOrder(self.tasksMarkerTodoEdit, self.tasksMarkerNoteEdit)
        TasksPage.setTabOrder(self.tasksMarkerNoteEdit, self.tasksMarkerTestEdit)
        TasksPage.setTabOrder(self.tasksMarkerTestEdit, self.tasksMarkerDocuEdit)
        TasksPage.setTabOrder(self.tasksMarkerDocuEdit, self.tasksFixmeColourButton)
        TasksPage.setTabOrder(self.tasksFixmeColourButton, self.tasksWarningColourButton)
        TasksPage.setTabOrder(self.tasksWarningColourButton, self.tasksTodoColourButton)
        TasksPage.setTabOrder(self.tasksTodoColourButton, self.tasksNoteColourButton)
        TasksPage.setTabOrder(self.tasksNoteColourButton, self.tasksTestColourButton)
        TasksPage.setTabOrder(self.tasksTestColourButton, self.tasksDocuColourButton)
        TasksPage.setTabOrder(self.tasksDocuColourButton, self.clearCheckBox)

    def retranslateUi(self, TasksPage):
        _translate = QtCore.QCoreApplication.translate
        self.headerLabel.setText(_translate("TasksPage", "<b>Configure Tasks</b>"))
        self.groupBox.setTitle(_translate("TasksPage", "Tasks Markers"))
        self.textLabel5_3.setText(_translate("TasksPage", "Bugfix tasks:"))
        self.tasksMarkerFixmeEdit.setToolTip(_translate("TasksPage", "Enter the tasks markers separated by a space character."))
        self.textLabel4_4.setText(_translate("TasksPage", "Warning tasks:"))
        self.tasksMarkerWarningEdit.setToolTip(_translate("TasksPage", "Enter the tasks markers separated by a space character."))
        self.textLabel4_3.setText(_translate("TasksPage", "Todo tasks:"))
        self.tasksMarkerTodoEdit.setToolTip(_translate("TasksPage", "Enter the tasks markers separated by a space character."))
        self.textLabel4_5.setText(_translate("TasksPage", "Note tasks:"))
        self.tasksMarkerNoteEdit.setToolTip(_translate("TasksPage", "Enter the tasks markers separated by a space character."))
        self.textLabel4_7.setText(_translate("TasksPage", "Test tasks:"))
        self.tasksMarkerTestEdit.setToolTip(_translate("TasksPage", "Enter the tasks markers separated by a space character."))
        self.textLabel4_6.setText(_translate("TasksPage", "Documentation tasks:"))
        self.tasksMarkerDocuEdit.setToolTip(_translate("TasksPage", "Enter the tasks markers separated by a space character."))
        self.groupBox_2.setTitle(_translate("TasksPage", "Tasks Background Colors"))
        self.textLabel2_8.setText(_translate("TasksPage", "Bugfix tasks:"))
        self.tasksFixmeColourButton.setToolTip(_translate("TasksPage", "Select the background color for these tasks."))
        self.textLabel6_3.setText(_translate("TasksPage", "Warning tasks:"))
        self.tasksWarningColourButton.setToolTip(_translate("TasksPage", "Select the background color for these tasks."))
        self.textLabel1_3.setText(_translate("TasksPage", "Todo tasks:"))
        self.tasksTodoColourButton.setToolTip(_translate("TasksPage", "Select the background color for these tasks."))
        self.textLabel3_4.setText(_translate("TasksPage", "Note tasks:"))
        self.tasksNoteColourButton.setToolTip(_translate("TasksPage", "Select the background color for these tasks."))
        self.textLabel1_4.setText(_translate("TasksPage", "Test tasks:"))
        self.tasksTestColourButton.setToolTip(_translate("TasksPage", "Select the background color for these tasks."))
        self.textLabel3_5.setText(_translate("TasksPage", "Documentation tasks:"))
        self.tasksDocuColourButton.setToolTip(_translate("TasksPage", "Select the background color for these tasks."))
        self.groupBox_3.setTitle(_translate("TasksPage", "Tasks Handling"))
        self.clearCheckBox.setToolTip(_translate("TasksPage", "Select to clear global file tasks when the file is closed"))
        self.clearCheckBox.setText(_translate("TasksPage", "Clear global file task when file is closed"))
